Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		slang
Version:	2.0.4
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.jedsoft.org
Group:		Development/Other
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}doc-%{version}.tar.gz
Patch0:		%{name}-%{version}-devel.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A powerful interpreted language.
Requires:	libpng pcre
BuildRequires:	libpng-devel pcre-devel glibc

%description
S-Lang is a multi-platform programmer's library designed to allow a developer to create robust multi-platform software.
It provides facilities required by interactive applications such as display/screen management, keyboard input, keymaps,
and so on. The most exciting feature of the library is the slang interpreter that may be easily embedded into a program
to make it extensible.
For more details see: http://www.jedsoft.org

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package doc
Summary:	%{name} documents.
Group:		%{group}            

%description doc
Documents for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version} -a 1
%patch0 -p1 -b -devel

%build
./configure --prefix=%_prefix \
--with-pcre \
--with-png \
--includedir=%_includedir/slang \
--bindir=%_bindir \
--sysconfdir=%_sysconfdir \
--libdir=%_libdir \
--mandir=%_mandir
make elf ELF_CFLAGS="-Os -march=i686 -pipe -fomit-frame-pointer -fPIC"
make all CFLAGS="-Os -march=i686 -pipe -fomit-frame-pointer"
make -C slsh DL_LIB="-ldl" ARCH="elf" CFLAGS="-Os -march=i686 -pipe -fomit-frame-pointer"

%install
mkdir -p $RPM_BUILD_ROOT{%_datadir/%{name}-%{version},%_bindir}
make install DESTDIR=$RPM_BUILD_ROOT
make install-elf DESTDIR=$RPM_BUILD_ROOT
make install-links DESTDIR=$RPM_BUILD_ROOT
install slsh/slsh $RPM_BUILD_ROOT%_bindir
cp -a modules examples demo src/curses $RPM_BUILD_ROOT%_datadir/%{name}-%{version}
rm -Rf $RPM_BUILD_ROOT{%_datadir/doc,%_datadir/slsh/local-packages}
# chmod libs for better rpm dependency
chmod +x $RPM_BUILD_ROOT%_libdir/lib*.so* $RPM_BUILD_ROOT%_libdir/%{name}/v2/modules/*.so
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%_sysconfdir
%_bindir
%_libdir/*.so.*
%_libdir/slang
%_datadir

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.so
%_includedir

%files doc
%defattr(-,root,root)
%doc doc/{html,pdf,ps,text}
%doc doc/*.html

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.4-2
- Moved necessary files to main package
* Mon Sep 26 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.4-1
- Update to Version 2.0.4